Description

Herbalism Redux 1.12 By Mode_Locrian --- Requirements: This mod requires Morrowind, Tribunal, and Bloodmoon. Installation Note: This archive includes two different esp files. "Herbalism Redux 1.12.esp" i...